from ..data import data
from cryptography.fernet import Fernet

def load_key():
    with open(f'./{data}/.encryption.key', 'rb') as keyfile: return keyfile.read()

def decrypt(input:str):
    encryption_key = load_key()
    fernet = Fernet(encryption_key)
    input = input.encode()
    output = fernet.decrypt(input)
    return output.decode()

def encrypt(input:str):
    encryption_key = load_key()
    fernet = Fernet(encryption_key)
    input = input.encode()
    output = fernet.encrypt(input)
    return output.decode()
